﻿@model WebApp.ViewModels.Admin.TicketAdminViewModel
@{
    ViewBag.Title = "Create a ticket";
}

<h2>Create a ticket</h2>

@using (Html.BeginForm("CreateTicket", "Admin", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("Trip id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.TripId, new { @class = "form-control", type = "number"})
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Carriage id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.CarriageId, new { @class = "form-control", type = "number" })
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Seat id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.SeatId, new { @class = "form-control", type = "number" })
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Cost:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Cost, new { @class = "form-control", type = "number" })
        </div>
    </div>

    <div class="form-group">
        @Html.Label("User id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.ApplicationUserId, new { @class = "form-control" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            @Html.CheckBoxFor(t => t.IsDeleted) Is Deleted
        </div>
    </div>
    @Html.HiddenFor(t => t.Id)
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-default">Create</button>
        </div>
    </div>
}

